Updates the db_info_data_company object with the specified key ///

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

db_info_data_company
NameDescriptionTypeAdditional information
id

Primary key

globally unique identifier
company_id

Foreign key of the object using his Odyssee Guid Primary Key

globally unique identifier

Optionally required : company_id or company_code must be provided

company_code

Foreign key of the object using ERP PK when adding/updating db_info_data

string

Optionally required : company_id or company_code must be provided

db_info_field_id

globally unique identifier

Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided

db_info_field_name

string

Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided

db_info_field

db_info_field

Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided

value

The value of this info fields for this targetId. Follow the formating rules (API / HELP / Info Fields)

string

Required

reference_back_office

The Id/Ref of the back office for this object

string

Max length: 50

sys_logical_delete

sys_logical_delete

boolean
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "a48c9922-3c8d-4ea3-9c16-3536d3d7c308",
  "company_id": "9fc14759-29f5-4855-b8d2-41e7e82749cc",
  "company_code": "sample string 3",
  "db_info_field_id": "604205b4-99a4-4276-80e4-94919c9f3167",
  "db_info_field_name": "sample string 5",
  "value": "sample string 6",
  "reference_back_office": "sample string 7",
  "sys_logical_delete": true,
  "modified_dateutc": "2026-03-01T05:33:33.8769747+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.